const apiUrl = "https://admin.ceiba-conseil.com";

export async function fetchJSONApi(path) {
  const url = `${apiUrl}${path}`;
  const options = {
    method: "GET",
    headers: {
      "content-type": "application/json",
    },
  };
  console.log(`fetchJSONApi: ${url}`);
  const response = await fetch(url, options);

  if (!response.ok) {
    const errors = await response.json();
    throw errors.errors[0].message;
  }

  return response.json();
}
